[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TKeyOption

Represents Key actions used in TValueListEditor.

## Declaration

Source position: valedit.pas line 109

`type TKeyOption = (`
`keyEdit,` |  | Allows editing of Key data.
`keyAdd,` |  | Allows adding new Key data.
`keyDelete,` |  | Allows deleting Key data.
`keyUnique` |  | Key data must be unique.
`);`

## Description

TKeyOption is an enumeration type with values that control key actions allowed for Key-Value data in TValueListEditor. TKeyOption values are stored in the TKeyOptions set type.

## See also

TKeyOptions |  | Stores values from the TKeyOption enumeration.
TValueListEditor.KeyOptions |  | Controls actions that can be performed for Keys in the control.